Bug Hunting Session
Bug 51132 - After one success, PRINTING of #10 ENVELOPES failed to print properly, apparently due to incorrect formatting of the envelope document by the 'Insert Envelope' wizard.
Summary: After one success, PRINTING of #10 ENVELOPES failed to print properly, appare...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: x86 (IA32) Windows (All)
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Envelope
  Show dependency treegraph
 
Reported: 2012-06-15 15:10 UTC by John Joyce
Modified: 2019-07-06 20:51 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Documenting screen shots and analysis of observed problems. (582.64 KB, application/vnd.oasis.opendocument.text)
2012-06-15 15:10 UTC, John Joyce
Details
Additional testing and observations, along with a workaround to the issue. (767.65 KB, application/vnd.oasis.opendocument.text)
2012-06-21 21:59 UTC, John Joyce
Details
envelope settings screen shot (14.14 KB, image/png)
2014-06-25 01:33 UTC, art guerra
Details
Screenshot of print preview screen (60.87 KB, image/png)
2014-06-25 01:36 UTC, art guerra
Details
print screen (34.26 KB, image/png)
2014-06-25 01:40 UTC, art guerra
Details
DL envelope generated with 2nd paper position (19.45 KB, application/unkown)
2016-02-11 21:54 UTC, mgs
Details
DL envelope generated with 5th paper position (19.34 KB, application/unkown)
2016-02-11 21:58 UTC, mgs
Details
Incorrect envelope preview (46.25 KB, image/png)
2019-01-07 08:33 UTC, Howard Johnson
Details
correct envelope preview with a different printer driver (45.66 KB, image/png)
2019-01-07 08:34 UTC, Howard Johnson
Details
Another incorrect printer preview of a different flavor with a narrower envelope (47.72 KB, image/png)
2019-01-07 08:35 UTC, Howard Johnson
Details
Available paper types shown for the HP4020 printer. (27.48 KB, image/png)
2019-01-07 16:07 UTC, Howard Johnson
Details
Canon printer driving showing short list of driver, and !! note that A5 is #2. (27.30 KB, image/png)
2019-01-07 16:25 UTC, Howard Johnson
Details
Com 10 layout showing correct and working greeking layout for HP4010 -- LO 6.1 (29.74 KB, image/png)
2019-04-10 05:24 UTC, Howard Johnson
Details
Snapshot of envelop setup/settings for the HP 4020 to work. (23.24 KB, image/png)
2019-04-10 05:27 UTC, Howard Johnson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Joyce 2012-06-15 15:10:12 UTC
Created attachment 63087 [details]
Documenting screen shots and analysis of observed problems.

After one apparent success printing a #10 Envelope using a newly updated version of the PortableApps version of LibreOffice 3.5.4.2 I have been unable to correctly print envelopes to a HP LaserJet 6L printer.  Symptoms sound similar to other bug reports, such as 38481, 37733, and 33778.  I suspect at least part of this issue is the way it appears that the creation of the 'envelope document' is handled by the Insert Envelope wizard, at least when you select the option to print the envelope from the middle of the paper path, instead of from one of the sides.  It it hadn't printed one envelope correctly, I would attribute the issue just to erroneous assumptions regarding how some of the printers handle this center alignment.

I have attached a document containing multiple screen shots and a more detailed analysis of what I have observed.  When I get an opportunity, I'll try some additional new installs and see if the initial success followed by repeated failures is reproducible.

If the current approach to handling envelope printing is continued, I suspect it would work better if the formatted document size is left as defined for the envelope or footers are added as well as headers so that the defined size reported to the printer is Letter.  In the later case, the 'Print from top' and 'Print from bottom' buttons should probably control whether the document is offset to the top or bottom of the page.

I suspect this issue will affect everyone who prints an envelope to a printer that uses a central paper feed path for envelopes, regardless of operating systems.  If it doesn't, this might suggest a synergistic interaction with the printer drivers used.

Good Luck,

John
Comment 1 John Joyce 2012-06-21 21:59:09 UTC
Created attachment 63329 [details]
Additional testing and observations, along with a workaround to the issue.

I've identified how to successfully print #10 Envelopes to a HP LaserJet 6L printer (using MS Unidrv Printer Driver v6.1.7600.16385, GPD filename: HPLJ6L.GPD, GPD v1.002) using the Envelope wizard.  Issue is now that the required settings are not those implied by the wizard (selecting the 6th Envelope Orientation icon <i.e. far right>, instead of the 5th <for center fed printer> works). Question is whether the position offset code is necessary, but this requires more information on how the other printers people are using handle non letter sized forms.

Does the positioning code need to be removed? Do the 'Envelope orientation' icons need to be adjusted to reflect the actual operation of this printer? Is this just a documentation error issue regarding usage?

Based on a review of the limited descriptions, this basic issue may be the same cause for reports: Bug 37733 and Bug 38481.

If you require any additional information, please just let me know.

John
Comment 2 tommy27 2013-10-20 04:05:19 UTC
are you still experiencing this issue with recent 4.0.5 or 4.1.2 releases?
Comment 3 technogeek 2014-04-11 16:31:27 UTC
I am experiencing this issue as well on LibreOffice Writer 4.2.2.1 for Windows, albeit with a different printer (specifically, a Brother MFC-7360N. Still with a #10 envelope, however.
Comment 4 Wiley 2014-04-11 17:52:24 UTC
If I select a #10 envelope to print on an HP CP2025 printer, using the center feed, the resultant envelope used by LibreOffice is a C5 envelope.  There does not seem to be anything I can do to change that behavior. The correct envelope (#10) is displayed in the setup process, but it consistently reverts to a C5 envelope at print time. Note...  I was able to print one envelope correctly, but all additional were incorrect.
Comment 5 John 2014-04-14 21:43:08 UTC
I am experiencing this issue as well on LibreOffice Writer 4.1.5.3 for Linux, with a Samsung ML-3051N printer connected via ethernet. Still with a #10 envelope.
Comment 6 art guerra 2014-06-25 01:31:29 UTC
Confirmed on version 4.2.5.2. I have a brother MFC-435 and I get the same results when trying to print an #10 envelope. I have attached some screenshots for reference.
Comment 7 art guerra 2014-06-25 01:33:36 UTC
Created attachment 101710 [details]
envelope settings screen shot

This is a screenshot of the envelope settings screen showing settings for a #10 envelope.
Comment 8 art guerra 2014-06-25 01:36:12 UTC
Created attachment 101711 [details]
Screenshot of print preview screen

This is a screenshot of the print preview screen showing a #10 envelope printing as a c5 envelope.
Comment 9 art guerra 2014-06-25 01:40:45 UTC
Created attachment 101712 [details]
print screen

This is the print dialog screen showing a C5 envelope being printed when a #10 envelope was selected.
Comment 10 ign_christian 2014-06-25 03:48:37 UTC
I saw too many open bugs regarding this problem. Many of them:
Bug 38481
Bug 60557
Bug 64966
Bug 52926
Bug 77277
Bug 75449

@art_guerra, would you confirm that your report (Bug 77277) is the same with this or one of the above? If so, please mark yours duplicate.

It's better, if similar, those should be merged into one. Perhaps someone could triage & mark duplicate to oldest bug
Comment 11 Robinson Tryon (qubit) 2015-01-20 07:48:28 UTC
(In reply to technogeek from comment #3)
> I am experiencing this issue as well on LibreOffice Writer 4.2.2.1 for
> Windows, albeit with a different printer (specifically, a Brother MFC-7360N.
> Still with a #10 envelope, however.

(In reply to art guerra from comment #6)
> Confirmed on version 4.2.5.2. I have a brother MFC-435 and I get the same
> results when trying to print an #10 envelope.

Sounds like we have enough repro confirmation here:
Status -> NEW
Comment 12 Stephen Ostrow 2016-01-16 20:51:19 UTC
I would like to confirm this is happening for me as well. 

Relevant information:

LO: LibreOffice 5.0.3.2
Printer: HP Color Laser Jet MFP M277dw
OS: Linux Mint 17.2 Rafaela
Kernel: 3.19.1-031901-generic

After using the Wizard, I can then manually update the page size to 9.5" x 4.18" and manually move the elements to their correct location in order to print an envelope properly.
Comment 13 mgs 2016-02-02 20:03:04 UTC
I've also been having problems with envelopes. LO Writer 5.04, Win7/64. I don't actually try to print; if I did the printer would be a Brother HL-L2340DW laser.

I choose the envelope option and choose DL as the envelope size (22x11cm; customs size 22.1x11.1 behaves the same. A DL envelope takes a sheet of A4 folded in 3). Address positions are not particularly relevant as they always misbehave, but address 11.05cm from left, 5.55cm from top; return address 1.0, 1.0. Envelope is displayed sensibly on the Envelope window preview, starting top left and halfway down right. Save as New Document. In the document windows the envelope displays in a different format, basically the correct format with several cm of white space above. LO rulers show the width to be 22cm, but the height is 16cm; the top 5cm of the ruler are grey. 

To replicate:
- New text document. Insert/Envelope.
- Enter addressee and sender in Envelope tab.
- Format tab, from top, in cm: 100.05, 5.55, 1.00, 1.00, User-defined, 22.10, 11.10 (DL behaves the same). Display shows envelope twice as long as high with addresses well-placed: correct.
- Printer tab, 5th option, Print from top, no shift. Printer is set to Brother HL-L2340D series.
- Click New Document. First 5 cm of new document are unwriteable header, followed by 11cm of envelope. Would be correct if top cropped.
- Print Preview is visibly 22:16 aspect ratio, not 22:11

- Repeat with Foxit Reader PDF Printer, same result.
- Repeat with Microsft XPS Document Printer, same result (changed Format to DL Envelope and changed positions by 0.1cm just for variety)

I hope this is of some use.
Comment 14 James B. Byrne 2016-02-03 17:06:11 UTC
The insert envelope function is simply broken in LO5.0.3.2 and evidently for some time previous; if not always.  I have no idea why this feature is still provided as it simply does not work as one might reasonably suppose.  No matter what adjustments I make to the page formatting or to the envelope insert wizard settings I inevitably end up with a C5 envelope format that will only print in portrait mode.

This is not a feature.  It is a diversion into frustration.  One could setup a custom template to perform the needed function in the time it takes to determine that which is provided in LO simply does not work.

Either fix it or remove it.
Comment 15 mgs 2016-02-11 18:20:44 UTC Comment hidden (obsolete)
Comment 16 mgs 2016-02-11 21:54:45 UTC
Created attachment 122551 [details]
DL envelope generated with 2nd paper position
Comment 17 mgs 2016-02-11 21:56:41 UTC
I seem to be inserting attachments separate from comments; two recent PDF files are associated with this comment.

Apologies, I retract my retraction (I'd delete the retraction if I could) and supply more detail. My (correct) original report, with details of how to replicate, is comment 13; my incorrect retraction is 15.

Details of how to replicate are in #13, but I clarify that the erroneous behaviour happens with the 5th orientation (short side feed, center), and doesn't happen with the default orientation immediately after setup (long side feed, I think it was center, don't remember). I only tested envelope document generation, haven't tried to print. I attach two documents generated as New envelopes, differing only in the paper orientation/position (and some text). I don't seem to be able to attach .ODT files, so they're LO-editable PDFs.

Summing up: creating an envelope sometimes generates an envelope document with a lot of extra space above the envelope; see #13, with short-side centered feed.

My workaround is not to use LO envelope printing. I might be able to work something out, but it's messy, as the printer expects short-side feed for this size, requiring text rotation. I could generate envelopes as PDF files and rotate them. Or just use a free-standing envelope program.

I'd suggest that this is a serious issue as it's very visible; anyone who tries LO will compare this aspect unfavourably with other software. People I've recommended LO to have not been impressed.
Comment 18 mgs 2016-02-11 21:58:04 UTC
Created attachment 122552 [details]
DL envelope generated with 5th paper position
Comment 19 QA Administrators 2017-03-06 15:28:56 UTC Comment hidden (obsolete)
Comment 20 Guy Rouillier 2018-05-15 04:19:42 UTC
Found this issue after a frustrating couple hours trying to print an envelope.  After all that time, I ended up just writing out the envelope by hand.

LO Version: 6.0.1.1 (x64)
OS: Windows 7 64-bit, all updates applied

I have an HP LaserJet M1522 MFP Series PCL 6, with a manual feed on top of Tray 1 that I use for envelopes.  The core problem from my perspective is that I used the Insert Envelope function, specified Format #10 Envelope and clicked Insert.  Yet the document ends up with a first page in format C5.

After much trial and error (and many wasted envelopes), I figured out I could right-click on page 1 (the envelope), select "Page...", and in the resulting dialog, change the format from "User" to "#10 Envelope".  Now the first page is the right size, but I had to manually move the address and return address boxes to their appropriate positions.

After doing this, I could print the envelope, but had to make changes while printing to switch the orientation to portrait.  Subsequent pages (2+) were now stuck on Envelope #10 style, so I had to fix that.

In short, this is really buggy and way too much work.
Comment 21 Howard Johnson 2019-01-07 08:31:55 UTC
I think I see partly what is going on.

First the basics.  Affects me too; both LO 5.4 & 6.0.1.1;
GNU/Linux Debian Stretch 9.6 / CUPS 2.2.1 / Canon MG2900 printer

How to demonstrate:

Start LO and create a new writer document.

Then you need to carefully step over other bug (will be the subject of another bug report) before we can proceed with the description of this bug.  Basically it matters weather the letter you're writing has once (ever) had the print dialog opened or not.  

Note, that you don't have to actually print, but you have to open the initial print dialog with Menu|File|Print.  Then you can cancel this. 

If you don't do this, then the text of your new envelope, shows up over-top of your letter which is just wrong, rather than in a separate envelope above your letter.   :-( 

I mention this not because it might have some relevance here, but because you need to do this to cleanly get to the next step.


Now do this:  Menu|Insert|Envelope...  then in the `Format` tab, under `Size` and then `Format` select an envelope size.  Then hit the `Insert` button at the bottom.  And finally do Menu|File|Print.

Now look at the preview in the left part of the Print dialog.  Sometimes it's correct, and sometimes it's not.

For my Cannon-MC2900 printers, I'm seeing the wrong dimensions here.  (Snapshot attached.)

But if in the General tab under Printer I select different printer, like the CP4020, now the preview is correct.  (Unfortunately I can't currently fully test this printer because I'm away from it.  In a few months I hope to test it.)

For the Canon-MG2900 selecting any envelope size smaller in width than the width of a Letter, i.e. 8.5" causes this preview to be incorrect.  The way you test this is to close the printer dialog.  Re-select Menu|Insert|Envelope...  Then again under `Format` tab, `Size` `Format` select a new envelope size.  Then choose the `Modify` button at the bottom.  Then go back to Menu|File|Print, and look at the preview.  For example choose the #8 Monarch envelope.

But now you see another bug, for the preview of this envelope shows that it's formatted as a full Letter size, i.e. portrait mode 8.5" wide x 11" tall, not as a Monarch envelope size.



First, if you think about, the wider envelopes would have to be printed in landscape, rather than portrait.


But even this doesn't explain why the Monarch doesn't print correctly.

So as near as I can tell, there are at least 3 bugs here.  Sorry, I know you want to see them one at a time.  

So I think let's just stick with the fact that you can't correctly print Com-10, but all the while, keep in mind that these other two things are also wrong.
Comment 22 Howard Johnson 2019-01-07 08:33:29 UTC
Created attachment 148088 [details]
Incorrect envelope preview
Comment 23 Howard Johnson 2019-01-07 08:34:25 UTC
Created attachment 148089 [details]
correct envelope preview with a different printer driver
Comment 24 Howard Johnson 2019-01-07 08:35:14 UTC
Created attachment 148090 [details]
Another incorrect printer preview of a different flavor with a narrower envelope
Comment 25 Howard Johnson 2019-01-07 16:07:31 UTC
Created attachment 148101 [details]
Available paper types shown for the HP4020 printer.

I got a little distracted yesterday, and forgot to show you one other important thing I noticed.

It has to do with the list of paper types that two of my different printer drivers show.

For my HP printers, I get a fairly long list of available paper types, but for the Canon the list is much shorter.

Again, Start LO 6.  Create a new writer document.  Select Menu|File|Print then Cancel.

The select Menu|Insert|Envelope...  The `Envelope` dialog opens.

Now select the `Printer` tab.  Then click the `Setup...` button.  The `Printer Setup` dialog opens.

The first time thru this I will select the printer named 'Canon-MG2900-guten-full-size' here.  Then Click on `Properties`.   

(Note that `Canon-MG2900-guten-full-size` is the name I gave this printer driver.  It is from package `printer-driver-gutenprint` v 5.2.11-1+b2.  The default name was simpler, but I needed a name to clearly distinguish this from another printer that I use which I have configured to by default correct a page bottom margin issue.)

The `Properties of Canon-MG2900-guten-full-size` dialog opens.  Now on the `Paper` tab click on `Paper size:` and take a look at the pull down.  See screenshot.  

I have only 6 paper sizes listed, as follows:  Letter, A5, A4, B5, 4x6" and 5x7".

Now let's backup and look at this same list for one of my other printer drivers.  So click the `Cancel` button, and select the HP CP4020, a full featured color laser printer.

Again click the `Properties` button.  And once the `Properties of CP4020` dialog opens, again in the `Paper` tab click on `Paper size:`.

This time I get a long list of paper styles, including a number of envelopes, i.e `Envelope #9`, `Envelope #10`, `Envelope Monarch`, etc.

So this is interesting I think.  Clearly this printer is offering up quite a range of paper types that the other printer driver was not.

Perhaps when the other printer driver goes to print the landscaped Com-10, where it must rotate it because it's wider than the printer, it fails to select a paper type that will work.

Notice that from Menu|File|Print when you get the `Print` dialog that the preview on the left shows '8.26 in (A5)` as the envelope width, and `5.83 in` as the envelope height, both of which are wrong.

To me the most interesting thing is the 'A5'.  It clearly shows that the wrong printer and or paper type has been selected for preview.
Comment 26 Howard Johnson 2019-01-07 16:25:49 UTC
Created attachment 148104 [details]
Canon printer driving showing short list of driver, and !! note that A5 is #2.

Here is the shot of available paper types for the Canon-MG2900.. printer driver.

What I find most interesting, is that the mysterious A5 that shows up in the print preview, is # 2 here.  

So I think what might be happening is that when it tried to find Envelope #10 on this list, and can't, and for that matter perhaps can't even find paper wide enough, it selects A5.  I don't know, but this A5 came from somewhere.

Perhaps also, the Canon printer driver just needs to be improved to include the ability to print more paper sizes, including the envelopes.

-------------

I also played with the `Envelope` dialog's, `Printer` tab, `Shift right` and `Shift down`.  I

 can add something like 1.00" to `Shift right`, but if I put 1" into the `Shift down`, it adjusts it to 0.07 ".

I don't know what is going on with this.

-------------

Another thing I noticed was that it appears that the requested envelope name is different from the printers available names.  

For example the `Envelope` dialog's `Format` tab, `Size`, `Format`, can show "#10 Envelope".  

But the `Envelope` dialog's `Printer` tab, Click `Setup...`, then in the `Printer Setup` dialog, under `Printer`, `Name:` select CP4020, and click `Properties...` button, to show the `Properties of CP4020` dialog, and then select `Paper` tab, and pull down on `Paper size:`, and you see "Envelope #10".
Comment 27 Howard Johnson 2019-01-26 06:43:43 UTC
I finally found a simple workaround to this bug, at least for my current printer.

NOTE: The best solution is probably to buy or borrow another, better printer, because as near as I can tell, this bug is more about printer limitations, than it is about LibreOffice.  

In other words, note well that, my HP laser printer prints envelopes correctly from LO.  It has a better printer driver.



NOW HERE'S THE WORKAROUND, AT LEAST FOR MY CHEAP CANON MG2900 PRINTER


1) First install a 2nd driver (for the same printer).
   Name it with a suffix something like '-com10'.  

     In my case my first driver is named Canon-MG2900, and 
       this second driver is named Canon-MG2900-Com10.


2) Edit this printer driver's ppd file.  

     For me this is: /etc/cups/ppd/Canon-MG2900.ppd

   Change this line from:  *LandscapeOrientation: Plus90

                      To:  *LandscapeOrientation: Plus270


3) Open LibreOffice.  Create a new writer document.  

   Then select Menu> Insert> Envelope...

   * Select the 'Envelope' tab.  
       * Enter the 'Addressee' (address to send to), and below it
         enter the 'Sender'    (your return address).

   * Next select the 'Format' tab.  
       * Under 'Size', for 'Format' select '#10 Envelope'.

   * Next select the 'Printer' tab.  
       * Under 'Envelope Orientation', choose the 4th icon from the left, 
         or the one in landscape mode with the envelope to the left of center.

            This will get rotated by 180 degrees, so the envelope will feed 
            into the printer first, and thus print the return address first.
            Also with my printer I can only adjust the paper slot to the right
            side for the envelope feeding, so that's why this position matters.

       * Also on this tab select the 'Print from top' radio button.

       * Finally also on this tab, under 'Current Printer' make sure your new
         *-Com10 printer driver is selected for this document.  If it's not
         click on 'Setup...' and set it.

   Once all of that is done, click the 'Insert' button at the bottom, (or 
   'Modify' if you're editing a previously created envelope).

   The main view of LibreOffice now returns.  You should see a landscape page
   with the envelope at the bottom.'ll see the envelope layout.  In other words
   unlike with my HP printer, which correctly shows the Com10 envelope without
   all of this fuss above, this printer lays out the envelope on a Letter sheet 
   of paper in landscape mode.

   Now just hit ^P (Control-P) to print.  

     In the 'Print' dialog, make sure the envelope preview on the left is
     correct.  You're looking for two things:  1) The paper is a 8.5x11" 
     landscape sheet.  

       If it says 'A5' instead of 'Letter', select the Properties
       button and on the Paper tab, check the box below the word 'Paper',
       for 'Use only paper size from printer preferences, and then set 'Paper
       size:' to 'Letter', and 'Orientation:' to 'Landscape'.  And then click
       'Ok'.  Now again confirm that the paper is Letter in landscape mode 
       in the preview.

   Finally to save paper limit this to just the first page: Pages 1.  And 
   Click 'Ok' to print.


NOTES

* You can insert comments in the ppd file with a *% line prefix.

* I think you need to close and restart LO after you make any edits to the ppd file.

* You can edit the envelope settings in LO with Menu, Insert, Envelope...
    Yes, I know it kind of doesn't make sense that edit comes from Insert, but
    that's how it works, i.e. it doesn't insert a 2nd envelope, but rather it
    just edits your previously inserted envelope.

* When I feed the Com10 Envelope into my printer, I need the leading edge
  to be my working edge and nearest the return address.  I tried and tried 
  to get this to work without rotating this, but in the end every effort 
  failed.  So rotate 180 does the trick to have the envelope move thru the 
  printer right.  The the rest of this is to get the envelope to either the
  right, left or center, for whatever type of paper feeder you have. 

* When I open my System Settings (from my main Cinnamon menu) and 
    select the Printers icon, and 
      get 'Print Settings - localhost', and 
        then click Unlock in the upper right corner, 
        enter my system (not user) password, and 
          then right click on my new driver, 'Canon-MG2900-Com-10, and 
            select Properties,
              Under 'Job Options' 'Common Options', 'Orientation', you can
                 select 'Reverse Landscape (270 degrees).  This also 
                 seems to do the necessary rotation.
Comment 28 Tracy L. Cann 2019-04-09 18:38:01 UTC
I am trying to print #10 envelopes. When selecting Insert and then Envelope, the format tab shows the format as being for a #10 envelope. It is also selectable to change to other types of envelopes. After either inserting the envelope or creating a "New Document" envelope, then the format changes to the C5 envelope. When trying to print the envelope, it "displays" the envelope as a C5 envelope with those dimensions in the field to the left on the "Print" screen. When you go into "properties", the "paper size field is grayed out and you can't change it to a #10 envelope.
Comment 29 Howard Johnson 2019-04-10 05:24:38 UTC
Created attachment 150641 [details]
Com 10 layout showing correct and working greeking layout for HP4010 -- LO 6.1

This snapshot is for reference.  It's how things are suppose to, and do correctly work, with a printer that supports COM-10 envelopes natively, like the HP 4020.

LO V 6.1 on Linux 9.6
Comment 30 Howard Johnson 2019-04-10 05:27:04 UTC
Created attachment 150642 [details]
Snapshot of envelop setup/settings for the HP 4020 to work.

This is a snapshot of how my envelope settings are set to get the envelope to print correctly w/ HP 4020 printer.
Comment 31 product 2019-07-06 18:42:42 UTC
Problem and Workaround:

I totally gave up on Insert / Envelope.  I found that even trying to define a user defined size of #10 size and manually entering the right width and height would cause it to automatically (!) change it from user defined to the built in #10 incorrect size right before my eyes, with a height of about 16 cm!  So user defined did not work.  That Insert / Envelope menu item should probably be removed from Writer.

But I found a simple and effective workaround.

Simply open a usual document, go to Format / Page, and from there change the Format to #10 envelope.  That works!  The page is correctly defined.

I then selected Insert / Text Box a couple times, and entered the return address and send address.  Then select the boxes, one by one of course, right-clicked, and selected Position and Size.  Then changed the rotation angle to 270 degrees.  Then manually dragged the boxes to where I wanted, top right and centered respectively.

Then printed.  Works great.  Whew!

One other thing, I put the envelope in the manual feed of my printer of course.  But if you have the printer properties set to double sided, it got confused and told me it was a size error.  Not again!  But it wasn't a size error.  I simple set the document to single sided printing temporarily, and the envelope printed beautifully.
Comment 32 Howard Johnson 2019-07-06 20:51:00 UTC
@product@livinginternet.com, Mind saying what printer/model you're using?